Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

A season's games, in start order

GET/games
Authorization
x-api-keyAPI key · headerrequired
Query parameters
seasonstring

A season id ("S04"). Default: the current season.

matchdaystring

A matchday id, e.g. "S04D05"

teamstring

Team id

statusstring

scheduled, live, or final

Allowed:scheduledlivefinal
limitinteger

Page size, up to 100.

cursorstring

The next_cursor of the previous page.

Responses
200

OK

dataGame[]required
Show properties
Array of Game
idstringrequired

e.g. "S04D01-MTL-ANC"

seasonIdstringrequired
matchdayIdstringrequired
statusstringrequired
Allowed:scheduledperiod_1intermission_1period_2intermission_2period_3overtimeshootoutfinal
homeTeamIdstringrequired
awayTeamIdstringrequired
homeScoreintegerrequired
min -9007199254740991 · max 9007199254740991
awayScoreintegerrequired
min -9007199254740991 · max 9007199254740991
periodScoresobject[]required
Show properties
Array of object
periodintegerrequired
min -9007199254740991 · max 9007199254740991
homeScoreintegerrequired
min -9007199254740991 · max 9007199254740991
awayScoreintegerrequired
min -9007199254740991 · max 9007199254740991
scheduledStartstringrequired

ISO 8601 date-time (UTC)

playoffRoundstring | nullrequired
gameInSeriesinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
venuestring | nullrequired

A neutral site's slug, or null at the home arena

isFinalbooleanrequired

The season's Final

isExhibitionbooleanrequired

An All-Star game: kept out of standings and stats

arenaModifierIdstring | nullrequired
matchModifierIdsstring[]required
weekdayRuleIdstring | nullrequired
next_cursorstring | null
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/games' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "seasonId": "string",
      "matchdayId": "string",
      "status": "scheduled",
      "homeTeamId": "string",
      "awayTeamId": "string",
      "homeScore": -9007199254740991,
      "awayScore": -9007199254740991,
      "periodScores": [
        {
          "period": -9007199254740991,
          "homeScore": -9007199254740991,
          "awayScore": -9007199254740991
        }
      ],
      "scheduledStart": "string",
      "playoffRound": "string",
      "gameInSeries": -9007199254740991,
      "venue": "string",
      "isFinal": true,
      "isExhibition": true,
      "arenaModifierId": "string",
      "matchModifierIds": [
        "string"
      ],
      "weekdayRuleId": "string"
    }
  ],
  "next_cursor": "string"
}

Was this page helpful?